Name:          python-zope-schema
Version:       6.0.0
Release:       1mamba
Summary:       zope.interface extension for defining data schemas
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://pypi.python.org/pypi/zope.schema
Source:        https://pypi.debian.net/zope.schema/zope.schema-%{version}.tar.gz
License:       Zope Public License
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
Requires:      python-zope-interface
Requires:      python-zope-event
Requires:      python-six
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
zope.interface extension for defining data schemas.

%prep
%setup -q -n zope.schema-%{version}

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

# remove tests
rm -rf %{buildroot}%{python_sitearch}/zope/schema/tests

sed -i "\,/tests/,d" %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.filelist
%defattr(-,root,root)
%doc COPYRIGHT.txt LICENSE.txt
#%doc CHANGES.txt README.txt
#%doc src/zope/schema/*.txt

%changelog
* Tue Mar 31 2020 Automatic Build System <autodist@mambasoft.it> 6.0.0-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic version update by autodist

* Sun Oct 14 2018 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Fri Oct 12 2018 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Sat Oct 06 2018 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Sat Sep 29 2018 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Thu Sep 20 2018 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- automatic version update by autodist

* Thu Sep 13 2018 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- automatic version update by autodist

* Tue Sep 11 2018 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic version update by autodist

* Sun Sep 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.0-1mamba
- update to 4.6.0

* Tue May 01 2018 Automatic Build System <autodist@mambasoft.it> 4.5.0-1mamba
- automatic version update by autodist

* Sun Sep 07 2014 Automatic Build System <autodist@mambasoft.it> 4.4.2-1mamba
- automatic update by autodist

* Thu Mar 20 2014 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-2mamba
- python 2.7 mass rebuild

* Thu Nov 29 2012 Automatic Build System <autodist@mambasoft.it> 4.2.2-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Wed Dec 21 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.0.1-2mamba
- added missing requirement

* Tue Dec 20 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.0.1-1mamba
- update to 4.0.1

* Mon May 23 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 3.8.0-1mamba
- update to 3.8.0

* Wed Oct 13 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 3.7.0-1mamba
- package created by autospec
